apiVersion: v1
kind: Namespace
metadata:
  name: my-project
---
apiVersion: image.openshift.io/v1
kind: ImageStream
metadata:
  name: base-fedora
  namespace: my-project
spec:
  lookupPolicy:
    local: true
  tags:
    - annotations: null
      from:
        kind: DockerImage
        name: quay.io/openshifttest/base-fedora:1.2.0
      generation: 3
      importPolicy:
        scheduled: true
      name: latest
      referencePolicy:
        type: Local
---
kind: Deployment
apiVersion: apps/v1
metadata:
  name: my-deployment
  namespace: my-project
spec:
  replicas: 0
  selector:
    matchLabels:
      app: name
  template:
    metadata:
      labels:
        app: name
    spec:
      affinity:
        nodeAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            nodeSelectorTerms: # Use a selector to match the worker node you want to test against.
              - matchExpressions:
                - key: kubernetes.io/hostname
                  operator: In
                  values:
                  - ip-10-0-210-23.us-west-1.compute.internal
      tolerations: # Set taints on the worker to avoid other workloads to be scheduled on it.
      - key: "testing"
        operator: "Exists"
        effect: "NoSchedule"
      restartPolicy: Always
      containers:
        - name: container1
          image: image-registry.openshift-image-registry.svc:5000/my-project/base-fedora
          command: ['/bin/sleep', '3600']
          imagePullPolicy: IfNotPresent
        - name: container2
          image: image-registry.openshift-image-registry.svc:5000/my-project/base-fedora
          command: ['/bin/sleep', '3600']
          imagePullPolicy: IfNotPresent
        - name: container3
          image: image-registry.openshift-image-registry.svc:5000/my-project/base-fedora
          command: ['/bin/sleep', '3600']
          imagePullPolicy: IfNotPresent
        - name: container4
          image: image-registry.openshift-image-registry.svc:5000/my-project/base-fedora
          command: ['/bin/sleep', '3600']
          imagePullPolicy: IfNotPresent
        - name: container5
          command: ['/bin/sleep', '3600']
          image: image-registry.openshift-image-registry.svc:5000/my-project/base-fedora
          imagePullPolicy: IfNotPresent
        - name: container6
          command: ['/bin/sleep', '3600']
          imagePullPolicy: IfNotPresent
          image: image-registry.openshift-image-registry.svc:5000/my-project/base-fedora
        - name: container7
          image: image-registry.openshift-image-registry.svc:5000/my-project/base-fedora
          command: ['/bin/sleep', '3600']
          imagePullPolicy: IfNotPresent
        - name: container8
          image: image-registry.openshift-image-registry.svc:5000/my-project/base-fedora
          command: ['/bin/sleep', '3600']
          imagePullPolicy: IfNotPresent
        - name: container9
          image: image-registry.openshift-image-registry.svc:5000/my-project/base-fedora
          command: ['/bin/sleep', '3600']
          imagePullPolicy: IfNotPresent
        - name: container10
          image: image-registry.openshift-image-registry.svc:5000/my-project/base-fedora
          command: ['/bin/sleep', '3600']
          imagePullPolicy: IfNotPresent
